Subject: Re: bug#68244: hash-table improvements

From: Dmitry Gutov <[email-masked]>
Date: Sat, 24 Feb 2024 04:46:04 +0200

On 13/02/2024 11:05, Gerd Möllmann wrote:
> Mattias Engdegård<[email-masked]>  writes:
> 
>> * Compatibility with existing code is excellent except for some places
>> that used `obarray-make` but then assumed the result to be vectors
>> (using `vectorp` instead of `obarrayp` etc).
> I wonder, what does your code do for the places using (make-vector n 0)
> create obarrays? I'm not 100% sure, but I think Cedet was an example of
> that in Emacs itself.

FWIW, there is this old-ish package called smartrep, which uses

   (make-vector n nil)

to create an obarray value which it later calls (intern ...) with.

The above usage broke with the latest master (signaling 
wrong-type-argument obarrayp). Changing nil to 0 made it work again.